cURL
curl --request POST \ --url https://api.extract.page/v1/batches \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "source": { "file_ids": [ "<string>" ], "type": "files" }, "engine": "<string>", "extract_text": true, "extract_images": true, "ocr": "auto", "metadata": {} } '
{ "id": "<string>", "status": "<string>", "counts": { "pending": 0, "running": 0, "succeeded": 0, "failed": 0, "cancelled": 0 }, "total_items": 123, "engine": "<string>", "options": {}, "created_at": "<string>", "expires_at": "<string>", "object": "batch", "metadata": {}, "started_at": "<string>", "completed_at": "<string>" }
Documentation IndexFetch the complete documentation index at: https://docs.extract.page/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.extract.page/llms.txt
Use this file to discover all available pages before exploring further.
Show child attributes
64
auto
never
force
Successful Response